--модуль для отрисовки слоя визуальных эффектов
visual_effects_widget = {}

__inherite(visual_effects_widget, null_lua_widget_handler())

function visual_effects_widget.__CreateInstance()
    return "visual_effects_widget"
end

function visual_effects_widget.Load(_this, _info, _templates)
	-- создание списка эффектов
	visual_effects_widget.visual_effects = visual_effects.CreateEffectsList()
	return true
end

-- возврат списка эффектов, для создания новых эффектов
function visual_effects_widget.GetEffectsList()
	return visual_effects_widget.visual_effects
end

function visual_effects_widget.DoUpdate(_this)
	-- обновление эффектов
	visual_effects_widget.visual_effects:Update()
	return false
end

function visual_effects_widget.DoDraw(_this, _renderer)
	-- отрисовка
	visual_effects_widget.visual_effects:PreDraw(_renderer)
	visual_effects_widget.visual_effects:PostDraw(_renderer)
    return false
end

function visual_effects_widget.OnMouseMove(_this, _pos, _state, _broadcast)
    return false
end

function visual_effects_widget.OnMouseUp(_this, _pos, _button, _state, _broadcast)
    return false
end

function visual_effects_widget.OnMouseDown(_this, _pos, _button, _state, _broadcast)
    return false
end

function visual_effects_widget.OnDoubleClick(_this, _pos, _state, _broadcast)
    return true
end
